## golang-github-aws-aws-sdk-go 1.38.23

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.38.23-1) unstable; urgency=medium

  * New upstream version 1.38.23
  * debian/watch: Use api.github.com to scan for up to 100 recent versions
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 04:54:13 -0600

golang-github-aws-aws-sdk-go (1.37.11-1) unstable; urgency=medium

  * New upstream version 1.37.11

 -- Anthony Fok <foka@debian.org>  Mon, 09 Aug 2021 01:34:58 -0600

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
           Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
               golang-github-pkg-errors-dev (>= 0.9.1),
               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
         golang-github-pkg-errors-dev (>= 0.9.1),
         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

## golang-github-aws-aws-sdk-go 1.40.8

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.40.8-1) unstable; urgency=medium

  * New upstream version 1.40.8
  * Bump versioned dependency on golang-golang-x-net-dev as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 26 Oct 2021 19:36:04 -0600

## golang-github-aws-aws-sdk-go 1.41.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.41.14-1ubuntu1) jammy; urgency=medium

  * Allow SHA1 in unit tests only to fix FTBFS with Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 16 Mar 2022 16:45:51 -0500

golang-github-aws-aws-sdk-go (1.41.14-1) unstable; urgency=medium

  * New upstream version 1.41.14

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 05:34:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-aws-aws-sdk-go
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -12,7 +13,7 @@
                golang-any,
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
                golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880)
+               golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
@@ -25,7 +26,7 @@
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20201110.69a7880),
+         golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS := 1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
	GODEBUG=x509sha1=1 dh_auto_test

## golang-github-aws-aws-sdk-go 1.43.26

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.43.26-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 02:16:43 -0600

golang-github-aws-aws-sdk-go (1.43.26-1) unstable; urgency=medium

  * New upstream version 1.43.26 (Closes: #1008431)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Mar 2022 22:14:37 +0800

golang-github-aws-aws-sdk-go (1.43.5-1) unstable; urgency=medium

  * New upstream version 1.43.5
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Add "--builddirectory=_build" argument to dh

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:22:51 -0700

## golang-github-aws-aws-sdk-go 1.44.133

=== Makefile ===
LINTIGNOREDOC='service/[^/]+/(api|service|waiters)\.go:.+(comment on exported|should have comment or be unexported)'
LINTIGNORECONST='service/[^/]+/(api|service|waiters)\.go:.+(type|struct field|const|func) ([^ ]+) should be ([^ ]+)'
LINTIGNORESTUTTER='service/[^/]+/(api|service)\.go:.+(and that stutters)'
LINTIGNOREINFLECT='service/[^/]+/(api|errors|service)\.go:.+(method|const) .+ should be '
LINTIGNOREINFLECTS3UPLOAD='service/s3/s3manager/upload\.go:.+struct field SSEKMSKeyId should be '
LINTIGNOREENDPOINTS='aws/endpoints/(defaults|dep_service_ids).go:.+(method|const) .+ should be '
LINTIGNOREDEPS='vendor/.+\.go'
LINTIGNOREPKGCOMMENT='service/[^/]+/doc_custom.go:.+package comment should be of the form'
LINTIGNORESINGLEFIGHT='internal/sync/singleflight/singleflight.go:.+error should be the last type'
UNIT_TEST_TAGS="example codegen awsinclude"
ALL_TAGS="example codegen awsinclude integration perftest"

# SDK's Core and client packages that are compatable with Go 1.5+.
SDK_CORE_PKGS=./aws/... ./private/... ./internal/...
SDK_CLIENT_PKGS=./service/...
SDK_COMPA_PKGS=${SDK_CORE_PKGS} ${SDK_CLIENT_PKGS}

# SDK additional packages that are used for development of the SDK.
SDK_EXAMPLES_PKGS=./example/...
SDK_TESTING_PKGS=./awstesting/...
SDK_MODELS_PKGS=./models/...
SDK_ALL_PKGS=${SDK_COMPA_PKGS} ${SDK_TESTING_PKGS} ${SDK_EXAMPLES_PKGS} ${SDK_MODELS_PKGS}

TEST_TIMEOUT=-timeout 5m

all: generate unit

###################
# Code Generation #
###################
generate: cleanup-models gen-test gen-endpoints gen-services

gen-test: gen-protocol-test gen-codegen-test

gen-codegen-test:
	@echo "Generating SDK API tests"
	go generate ./private/model/api/codegentest/service

gen-services:
	@echo "Generating SDK clients"
	go generate ./service

gen-protocol-test:
	@echo "Generating SDK protocol tests"
	go generate ./private/protocol/...

gen-endpoints:
	@echo "Generating SDK endpoints"
	go generate ./models/endpoints

cleanup-models:
	@echo "Cleaning up stale model versions"
	go run -tags codegen ./private/model/cli/cleanup-models/* "./models/apis/*/*/api-2.json"

###################
# Unit/CI Testing #
###################

build:
	go build -o /dev/null -tags ${ALL_TAGS} ${SDK_ALL_PKGS}

unit-no-verify:
	@echo "go test SDK and vendor packages"
	go test ${TEST_TIMEOUT} -v -count=1 -tags ${UNIT_TEST_TAGS} ${SDK_ALL_PKGS}

unit: verify build unit-no-verify

unit-with-race-cover: verify build
	@echo "go test SDK and vendor packages"
	go test ${TEST_TIMEOUT} -v -count=1 -tags ${UNIT_TEST_TAGS} -race -cpu=1,2,4 ${SDK_ALL_PKGS}

unit-old-go-race-cover:
	@echo "go test SDK only packages for old Go versions"
	go test ${TEST_TIMEOUT} -v -count=1 -race -cpu=1,2,4 ${SDK_COMPA_PKGS}

ci-test: generate unit-with-race-cover ci-test-generate-validate

ci-test-generate-validate:
	@echo "CI test validate no generated code changes"
	git update-index --assume-unchanged go.mod go.sum
	git add . -A
	gitstatus=`git diff --cached --ignore-space-change`; \
	echo "$$gitstatus"; \
	if [ "$$gitstatus" != "" ] && [ "$$gitstatus" != "skipping validation" ]; then echo "$$gitstatus"; exit 1; fi
	git update-index --no-assume-unchanged go.mod go.sum

#######################
# Integration Testing #
#######################
integration: core-integ client-integ

core-integ:
	@echo "Integration Testing SDK core"
	AWS_REGION="" go test -count=1 -tags "integration" -v -run '^TestInteg_' ${SDK_CORE_PKGS} ./awstesting/...

client-integ:
	@echo "Integration Testing SDK clients"
	AWS_REGION="" go test -count=1 -tags "integration" -v -run '^TestInteg_' ./service/...

s3crypto-integ:
	@echo "Integration Testing S3 Cyrpto utility"
	AWS_REGION="" go test -count=1 -tags "s3crypto_integ integration" -v -run '^TestInteg_' ./service/s3/s3crypto

cleanup-integ-buckets:
	@echo "Cleaning up SDK integraiton resources"
	go run -tags "integration" ./awstesting/cmd/bucket_cleanup/main.go "aws-sdk-go-integration"

###################
# Sandbox Testing #
###################
sandbox-tests: sandbox-test-go1.5 sandbox-test-go1.6 sandbox-test-go1.7 sandbox-test-go1.8 sandbox-test-go1.9 sandbox-test-go1.10 sandbox-test-go1.11 sandbox-test-go1.12 sandbox-test-go1.13 sandbox-test-go1.14 sandbox-test-go1.15 sandbox-test-go1.16 sandbox-test-go1.17 sandbox-test-gotip

sandbox-build-%:
	@# sandbox-build-go1.17
	@# sandbox-build-gotip
	docker build \
		-f ./awstesting/sandbox/Dockerfile.test.$(subst sandbox-build-,,$@) \
		-t "aws-sdk-go-$(subst sandbox-build-,,$@)" .
sandbox-run-%: sandbox-build-%
	@# sandbox-run-go1.17
	@# sandbox-run-gotip
	docker run -i -t "aws-sdk-go-$(subst sandbox-run-,,$@)" bash
sandbox-test-%: sandbox-build-%
	@# sandbox-test-go1.17
	@# sandbox-test-gotip
	docker run -t "aws-sdk-go-$(subst sandbox-test-,,$@)"

update-aws-golang-tip:
	docker build --no-cache=true -f ./awstesting/sandbox/Dockerfile.golang-tip -t "aws-golang:tip" .

##################
# Linting/Verify #
##################
verify: lint vet

lint:
	@echo "go lint SDK and vendor packages"
	@lint=`golint ./...`; \
	dolint=`echo "$$lint" | grep -E -v -e ${LINTIGNOREDOC} -e ${LINTIGNORECONST} -e ${LINTIGNORESTUTTER} -e ${LINTIGNOREINFLECT} -e ${LINTIGNOREDEPS} -e ${LINTIGNOREINFLECTS3UPLOAD} -e ${LINTIGNOREPKGCOMMENT} -e ${LINTIGNOREENDPOINTS} -e ${LINTIGNORESINGLEFIGHT}`; \
	echo "$$dolint"; \
	if [ "$$dolint" != "" ]; then exit 1; fi

vet:
	go vet -tags "example codegen awsinclude integration" --all ${SDK_ALL_PKGS}

################
# Dependencies #
################
get-deps: 
	@echo "getting pre go module dependnecies"
	go get github.com/jmespath/go-jmespath

get-deps-verify:
	@echo "go get SDK verification utilities"
	go get golang.org/x/lint/golint

##############
# Benchmarks #
##############
bench:
	@echo "go bench SDK packages"
	go test -count=1 -run NONE -bench . -benchmem -tags 'bench' ${SDK_ALL_PKGS}

bench-protocol:
	@echo "go bench SDK protocol marshallers"
	go test -count=1 -run NONE -bench . -benchmem -tags 'bench' ./private/protocol/...

#############
# Utilities #
#############
docs:
	@echo "generate SDK docs"
	$(AWS_DOC_GEN_TOOL) `pwd`

api_info:
	@go run private/model/cli/api-info/api-info.go

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.44.133-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: golang-golang-x-net-dev (>= 1:0.1.0)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Nov 2022 18:23:02 +0100

=== debian/control ===
Source: golang-github-aws-aws-sdk-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
               golang-github-pkg-errors-dev (>= 0.9.1),
               golang-golang-x-net-dev (>= 1:0.1.0)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
Homepage: https://github.com/aws/aws-sdk-go
XS-Go-Import-Path: github.com/aws/aws-sdk-go

Package: golang-github-aws-aws-sdk-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
         golang-github-pkg-errors-dev (>= 0.9.1),
         golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4),
         ${misc:Depends}
Description: AWS SDK for the Go programming language
 Official Amazon Web Services (AWS) SDK for the Go programming language.

## golang-github-aws-aws-sdk-go 1.45.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.45.14-1) unstable; urgency=medium

  * New upstream version 1.45.14

 -- Anthony Fok <foka@debian.org>  Wed, 11 Oct 2023 10:18:16 -0600

golang-github-aws-aws-sdk-go (1.44.314-1) unstable; urgency=medium

  * New upstream version 1.44.314
  * Bump Depends: golang-golang-x-net-dev (>= 1:0.1.0)
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 09:43:35 -0600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                golang-github-pkg-errors-dev (>= 0.9.1),
                golang-golang-x-net-dev (>= 1:0.1.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go.git
 Homepage: https://github.com/aws/aws-sdk-go
@@ -25,7 +25,7 @@
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
          golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.0+git20210614.04defd4),
+         golang-golang-x-net-dev (>= 1:0.1.0),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.

## golang-github-aws-aws-sdk-go 1.48.14

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.48.14-1) unstable; urgency=medium

  * New upstream version 1.48.14
  * Update versioned dependencies as per go.mod.  In particular,
    golang-github-pkg-errors-dev is no longer needed since 2023-10-31

 -- Anthony Fok <foka@debian.org>  Fri, 08 Dec 2023 14:25:29 -0700

## golang-github-aws-aws-sdk-go 1.49.0

=== debian/changelog ===
golang-github-aws-aws-sdk-go (1.49.0-2) unstable; urgency=medium

  * Team upload
  * Add new 0003-Fix-misaligned-struct-member-used-in-atomic-op.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Feb 2024 17:00:54 +0000

golang-github-aws-aws-sdk-go (1.49.0-1) unstable; urgency=medium

  * New upstream version 1.49.0

 -- Anthony Fok <foka@debian.org>  Mon, 26 Feb 2024 10:57:24 -0700

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.19~),
                golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
-               golang-github-pkg-errors-dev (>= 0.9.1),
-               golang-golang-x-net-dev (>= 1:0.1.0)
+               golang-golang-x-net-dev (>= 1:0.17.0)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go
@@ -24,8 +23,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-jmespath-go-jmespath-dev (>= 0.4.0),
-         golang-github-pkg-errors-dev (>= 0.9.1),
-         golang-golang-x-net-dev (>= 1:0.1.0),
+         golang-golang-x-net-dev (>= 1:0.17.0),
          ${misc:Depends}
 Description: AWS SDK for the Go programming language
  Official Amazon Web Services (AWS) SDK for the Go programming language.

=== debian/rules ===
#!/usr/bin/make -f

export GOMAXPROCS := 1
export DH_GOLANG_INSTALL_EXTRA := aws/credentials/example.ini

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, \
      pagemangle=s%\"tarball_url\":\s*(\".*?\")%<a href=$1>%g, \
      downloadurlmangle=s%api.github.com/repos/(.+?/.+?)/tarball/(.*/v?@ANY_VERSION@)$%github.com/$1/archive/$2.tar.gz%" \
    https://api.github.com/repos/aws/aws-sdk-go/tags?per_page=100 \
    (?:.*?/)?v?@ANY_VERSION@

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#    https://github.com/aws/aws-sdk-go/tags?after=v1.37.20 \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

#opts="mode=git, pgpmode=none" \
# https://github.com/aws/aws-sdk-go \
#  refs/tags/v?@ANY_VERSION@ debian
